Bug 517914 - Review Request: aqute-bndlib - The bnd tool helps you create and diagnose OSGi R4 bundles.
Summary: Review Request: aqute-bndlib - The bnd tool helps you create and diagnose OSG...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 20:45 UTC by Andrew Overholt
Modified: 2009-08-20 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 17:39:24 UTC
Type: ---
akurtako: fedora-review+


Attachments (Terms of Use)

Description Andrew Overholt 2009-08-17 20:45:07 UTC
Spec URL: http://overholt.fedorapeople.org/aqute-bndlib.spec
SRPM URL: http://overholt.fedorapeople.org/aqute-bndlib-0.0.203-4.2.fc12.src.rpm

Description: 
The bnd tool helps you create and diagnose OSGi R4 bundles.
The key functions are:
- Show the manifest and JAR contents of a bundle
- Wrap a JAR so that it becomes a bundle
- Create a Bundle from a specification and a class path
- Verify the validity of the manifest entries
The tool is capable of acting as:
- Command line tool
- File format
- Directives
- Use of macros

Comment 1 Andrew Overholt 2009-08-17 20:45:39 UTC
This is a full review request.  The pre-review request was bug #500245.

Comment 2 Alexander Kurtakov 2009-08-19 11:41:54 UTC
I'll take this one.

Comment 3 Alexander Kurtakov 2009-08-19 12:02:12 UTC
Rpmlint gives a number of warnings:
rpmlint aqute-bndlib.spec
aqute-bndlib.spec:37: W: non-standard-group Development/Java
aqute-bndlib.spec:72: W: non-standard-group Development/Documentation

rpmlint aqute-bndlib-0.0.203-4.2.fc12.src.rpm
aqute-bndlib.src: W: non-standard-group Development/Java

rpmlint noarch/aqute-bndlib-*
aqute-bndlib.noarch: W: non-standard-group Development/Java
aqute-bndlib.noarch: W: incoherent-version-in-changelog 0.0.203-4.2 ['0:0.0.203-4.2.fc12', '0:0.0.203-4.2']
aqute-bndlib.noarch: W: no-documentation
aqute-bndlib.noarch: W: non-conffile-in-etc /etc/maven/fragments/aqute-bndlib
aqute-bndlib-javadoc.noarch: W: non-standard-group Development/Documentation

I would like to see them (except non-conffile-in-etc) cleaned.
Full review will follow shortly.

Comment 5 Alexander Kurtakov 2009-08-20 10:55:51 UTC
Formal review:
OK; rpmlint gives only non-conffile-in-etc
OK; The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license 
OK: The License field in the package spec file must match the actual license.
OK: License bundled and marked as %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: Sources match upstream.
OK: The package MUST successfully compile and build into binary rpms.
OK: All build dependencies are listed in BuildRequires
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 

Package is APPROVED.

Comment 6 Andrew Overholt 2009-08-20 14:05:41 UTC
New Package CVS Request
=======================
Package Name: aqute-bndlib
Short Description: The bnd tool helps you create and diagnose OSGi R4 bundles.
Owners: overholt, akurtakov
Branches: 
InitialCC:

Comment 7 Andrew Overholt 2009-08-20 14:13:33 UTC
Oops, I forgot that the pre-review had been passed and therefore there was already a CVS module.

Comment 8 Alexander Kurtakov 2009-08-20 17:39:24 UTC
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128069


Note You need to log in before you can comment on or make changes to this bug.